import de.pakad.tools.StdIn;
import de.pakad.tools.StdOut;

/**
 * do-while-Demo: Fakulttsberechnung.
 *
 * <p>Es wird eine Zahl x interaktiv eingelesen und deren
 * Fakultt berechnet.</p>
 *
 * @author Karsten Brodmann
 */
public class DoWhile {
    /**
     * @param args nicht verwendet
     */
    public static void main(String[] args) {
        int x = StdIn.readInt("Bitte eine natrliche Zahl: ");
        long fac = 1;          // Initialwert der Fakultt ist 1
        do {
            fac *= x;          // schreibe Fakulttswert fort
            x--;               // dekrementiere x
        } while (x > 1);
        if (fac < 1) StdOut.println(1);
        else StdOut.println(fac);
    }
}